Debian Bug report logs - #572928
xterm ignores cursorColor resource when allowSendEvents is on

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Jay Berkenbilt <qjb@debian.org>

Date: Sun, 7 Mar 2010 18:24:17 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/255-1

Fixed in version xterm/258-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, qjb@debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#572928; Package xterm. (Sun, 07 Mar 2010 18:24:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <qjb@debian.org>:
New Bug report received and forwarded. Copy sent to qjb@debian.org, Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 07 Mar 2010 18:24:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: submit@bugs.debian.org
Subject: xterm ignores cursorColor resource when allowSendEvents is on
Date: Sun, 07 Mar 2010 13:23:18 -0500
Package: xterm
Version: 255-1
Severity: normal

*** Please type your report below this line ***

Starting with xterm 255-1, I noticed that I am no longer getting my
nice blue cursor.  Narrowing things down, it seems as though xterm
ignores the cursorColor resource if allowSendEvents is on.  Run the
following with 255-1:

xrdb -load /dev/null
xterm -xrm '*cursorColor: green'

See a green cursor.

xterm -xrm '*cursorColor: green' -xrm '*allowSendEvents: on'

See a black cursor.

Previous versions, including 253-1, did not have this problem.

Please let me know if any additional information is required or if I
should dig into the code to try to track it down.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                     2.10.2-6       Embedded GNU C Library: Shared lib
ii  libfontconfig1            2.8.0-2        generic font configuration library
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20090803-2 shared libraries for terminal hand
ii  libutempter0              1.1.5-2        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.3.3-1      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-1       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.1.0-1        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+2      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#572928; Package xterm. (Wed, 17 Mar 2010 11:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 17 Mar 2010 11:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 572928@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 572928@bugs.debian.org
Subject: re: #572928 xterm ignores cursorColor resource when allowSendEvents is on
Date: Wed, 17 Mar 2010 06:57:55 -0400
[Message part 1 (text/plain, inline)]
I can reproduce this (thanks).  Probably the initialization is sharing code
with the logic that handles the escape sequence.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#572928; Package xterm. (Thu, 22 Apr 2010 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 22 Apr 2010 20:45:06 GMT) Full text and rfc822 format available.

Message #15 received at 572928@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 572928@bugs.debian.org
Cc: 572928-submitter@bugs.debian.org
Subject: re: #572928 xterm ignores cursorColor resource when allowSendEvents is on
Date: Thu, 22 Apr 2010 16:39:50 -0400
[Message part 1 (text/plain, inline)]
fixed in patch #257

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Thu, 22 Apr 2010 20:45:08 GMT) Full text and rfc822 format available.

Message sent on to Jay Berkenbilt <qjb@debian.org>:
Bug#572928. (Thu, 22 Apr 2010 20:45:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 23 Apr 2010 10:30:09 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 08 May 2010 12:21:08 GMT) Full text and rfc822 format available.

Notification sent to Jay Berkenbilt <qjb@debian.org>:
Bug acknowledged by developer. (Sat, 08 May 2010 12:21:08 GMT) Full text and rfc822 format available.

Message #27 received at 572928-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 572928-close@bugs.debian.org
Subject: Bug#572928: fixed in xterm 258-1
Date: Sat, 08 May 2010 12:19:08 +0000
Source: xterm
Source-Version: 258-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_258-1.diff.gz
  to main/x/xterm/xterm_258-1.diff.gz
xterm_258-1.dsc
  to main/x/xterm/xterm_258-1.dsc
xterm_258-1_amd64.deb
  to main/x/xterm/xterm_258-1_amd64.deb
xterm_258.orig.tar.gz
  to main/x/xterm/xterm_258.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572928@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 08 May 2010 13:48:12 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 258-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 547443 572928
Changes: 
 xterm (258-1) unstable; urgency=low
 .
   * terminfo: derive xterm{16,256,88}-color from xterm-debian (patch by Sven
     Joachim), closes: #547443.
   * New upstream release
     + modify AllocateTermColor() to separate initialization from control
       sequences, fixing problem from patch #254 changes where enabling
       allowSendEvents resource prevents setting cursor color on command-line
       (closes: #572928)
Checksums-Sha1: 
 6e3e9b2d02f67fdc8597953ce61f9b7b404a1b6a 1948 xterm_258-1.dsc
 d3357fc88917e23210eea2db32b185799bb2d22e 919580 xterm_258.orig.tar.gz
 c87db3c3f07b17ab4b8501c2da5188da3eb61464 73973 xterm_258-1.diff.gz
 403a877b2a5c60d03072a80c850247dc66bb82a3 534144 xterm_258-1_amd64.deb
Checksums-Sha256: 
 1c3a7a0705e1d58d647bc1afeeb4b4f04f45f767927fcf18a5deade2571e63aa 1948 xterm_258-1.dsc
 6e25c1c0fd9071f08f81637a1bf0e825a18f26f97e909cc56df40417f173bd3d 919580 xterm_258.orig.tar.gz
 7233d6f20e50d866734a1bd5ddd3715c907a8a081467af6e567dc52519788853 73973 xterm_258-1.diff.gz
 7865313f218475e70c9d32f23080bc7ed85b015887bfe0787b83789be38fbef8 534144 xterm_258-1_amd64.deb
Files: 
 882483c3af788517d9537c58cec27368 1948 x11 optional xterm_258-1.dsc
 bcf4f0ba51f5f58fd5bef76b3d05e40e 919580 x11 optional xterm_258.orig.tar.gz
 707fc14f79e0df7a5549bb0138021ab0 73973 x11 optional xterm_258-1.diff.gz
 f03ab823dfb12f87c8169d9b9efa4ce8 534144 x11 optional xterm_258-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJL5VKKAAoJEDEBgAUJBeQMuDsP/joDAekx30ikY4ZsHQGca226
NT9XwJKL7RSeFiGk5iTJWNbzQ/XIqrWrFxcid//u7smLvikourG8E7H2MX3xLt9b
+jQX2I0WhJSneATSOLGseoBcSSwxTb0aXuEDPZh3Pua2c0jPBk0fyi7Ko3XVHnAI
yM6GnwSE2YYXh14TwjwzLoLPShtl/AaF+8N0Vt/lc3mLoV6XiVxMTlV0s8ew61Hc
EB7XAGckK900jmfJKzMhdcxF2E/KnqahZEU5OHoX94Ni2pEdeO2i786kJgWzAlmf
d7ApI62tlchrC4jC4XIbIArI9cOEe9vW0soVxFmPO3Mwg3D+fOdUvDYjqFX77yqT
ixjnWqjAF55OxT/vYhnB4FuHzPif3Loa6ZVtH1+IkkEWsW09iKgn8ABQvTwT/a2D
06zzywxEGwFF3mjj7T4pcGIkKt35OfVxTE/2TCnf8LHBONMSbc3Q1ykNN8enst/e
076DbFPGr95Gvwaylb3F+wm0Dr7WMr6KMvFC3Vu88BXzemG6EDx+RS2Addjy9XNt
5IsWNmDZpk81d//K0S5VDc358W+z1z2CNCZVxwUmyCeHT65+MS+dHj4zZmyqa20R
jexSvmBET2zxXf5ekw4PMK3xbkezPodrHflG4gC2dBSqus1+Sh93XRtRhG4cRtG+
WVhF9wheaCAB5VReNXPL
=cxMW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Jun 2010 07:34:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:37:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.